--- a/benchmarks/benchmarks.fsproj
+++ b/benchmarks/benchmarks.fsproj
@@ -2,7 +2,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFrameworks>net6.0;net7.0</TargetFrameworks>
+    <TargetFrameworks>net8.0</TargetFrameworks>
   </PropertyGroup>
   <ItemGroup>
     <Compile Include="SourceTextBenchmarks.fs" />
--- a/build/build.fsproj
+++ b/build/build.fsproj
@@ -2,8 +2,8 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net7.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
     <Compile Include="ScaffoldCodeFix.fsi" />
--- a/paket.dependencies
+++ b/paket.dependencies
@@ -1,6 +1,6 @@
 version 7.2.1
 
-framework: netstandard2.0, netstandard2.1,  net6.0, net7.0, net8.0
+framework: net8.0
 
 source https://api.nuget.org/v3/index.json
 # this is the FCS nightly feed, re-enable at your own risk!
--- a/src/FsAutoComplete.Core/FsAutoComplete.Core.fsproj
+++ b/src/FsAutoComplete.Core/FsAutoComplete.Core.fsproj
@@ -1,8 +1,6 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFrameworks>net6.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet7)' == 'true'">net6.0;net7.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet8)' == 'true'">net6.0;net7.0;net8.0</TargetFrameworks>
+    <TargetFrameworks>net8.0</TargetFrameworks>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
--- a/src/FsAutoComplete.Logging/FsAutoComplete.Logging.fsproj
+++ b/src/FsAutoComplete.Logging/FsAutoComplete.Logging.fsproj
@@ -1,9 +1,7 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
-    <TargetFrameworks Condition="'$(BuildNet7)' == 'true'">net6.0;net7.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet8)' == 'true'">net6.0;net7.0;net8.0</TargetFrameworks>
+    <TargetFramework>net8.0</TargetFramework>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
--- a/src/FsAutoComplete/FsAutoComplete.fsproj
+++ b/src/FsAutoComplete/FsAutoComplete.fsproj
@@ -2,9 +2,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFrameworks>net6.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet7)' == 'true'">net6.0;net7.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet8)' == 'true'">net6.0;net7.0;net8.0</TargetFrameworks>
+    <TargetFrameworks>net8.0</TargetFrameworks>
     <AssemblyName>fsautocomplete</AssemblyName>
     <ServerGarbageCollection>true</ServerGarbageCollection>
     <ConcurrentGarbageCollection>true</ConcurrentGarbageCollection>
--- a/test/FsAutoComplete.DependencyManager.Dummy/FsAutoComplete.DependencyManager.Dummy.fsproj
+++ b/test/FsAutoComplete.DependencyManager.Dummy/FsAutoComplete.DependencyManager.Dummy.fsproj
@@ -1,16 +1,16 @@
-﻿<Project Sdk="Microsoft.NET.Sdk">
-
-  <PropertyGroup>
-    <TargetFramework>netstandard2.0</TargetFramework>
-  </PropertyGroup>
-
-  <ItemGroup>
-    <Compile Include="Library.fs" />
-  </ItemGroup>
-
-  <ItemGroup>
-    <!-- Keep this up to date with paket.lock, this is here to prevent error messages about downgrades -->
-    <PackageReference Update="FSharp.Core" Version="5.0.1" />
-  </ItemGroup>
-
-</Project>
+﻿<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <TargetFramework>net8.0</TargetFramework>
+  </PropertyGroup>
+
+  <ItemGroup>
+    <Compile Include="Library.fs" />
+  </ItemGroup>
+
+  <ItemGroup>
+    <!-- Keep this up to date with paket.lock, this is here to prevent error messages about downgrades -->
+    <PackageReference Update="FSharp.Core" Version="5.0.1" />
+  </ItemGroup>
+
+</Project>
--- a/test/FsAutoComplete.Tests.Lsp/FsAutoComplete.Tests.Lsp.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/FsAutoComplete.Tests.Lsp.fsproj
@@ -1,9 +1,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFrameworks>net6.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet7)' == 'true'">net6.0;net7.0</TargetFrameworks>
-    <TargetFrameworks Condition="'$(BuildNet8)' == 'true'">net6.0;net7.0;net8.0</TargetFrameworks>
+    <TargetFrameworks>net8.0</TargetFrameworks>
     <GenerateProgramFile>false</GenerateProgramFile>
     <RollForward>LatestMajor</RollForward>
     <IsTestProject>true</IsTestProject>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/AutocompleteTest/AutocompleteTest.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/AutocompleteTest/AutocompleteTest.fsproj
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/CloseTests/Workspace/Workspace.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/CloseTests/Workspace/Workspace.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/CodeFixTests/RenameParamToMatchSignature/RenameParamToMatchSignature.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/CodeFixTests/RenameParamToMatchSignature/RenameParamToMatchSignature.fsproj
@@ -1,7 +1,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net6.0/App/App.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net6.0/App/App.fsproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net6.0/Library1/Library1.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net6.0/Library1/Library1.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net7.0/App/App.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net7.0/App/App.fsproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net7.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net7.0/Library1/Library1.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/CrossProject-net7.0/Library1/Library1.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net7.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/SameProject/SameProject.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/DependentFileChecking/SameProject/SameProject.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/ExpectoTests/ExpectoTests.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/ExpectoTests/ExpectoTests.fsproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateProgramFile>false</GenerateProgramFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/A/A.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/A/A.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/B/B.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/B/B.fsproj
@@ -1,7 +1,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/C/C.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FindReferences/Solution/C/C.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FoldingTests/FoldingTests.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FoldingTests/FoldingTests.fsproj
@@ -1,11 +1,11 @@
-﻿<Project Sdk="Microsoft.NET.Sdk">
-
-  <PropertyGroup>
-    <TargetFramework>netstandard2.0</TargetFramework>
-  </PropertyGroup>
-
-  <ItemGroup>
-    <Compile Include="Library.fs" />
-  </ItemGroup>
-
-</Project>
+﻿<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <TargetFramework>net8.0</TargetFramework>
+  </PropertyGroup>
+
+  <ItemGroup>
+    <Compile Include="Library.fs" />
+  </ItemGroup>
+
+</Project>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FsdnTest/BasicTest.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FsdnTest/BasicTest.fsproj
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/FullNameExternalAutocompleteTest/FullNameExternalAutocompleteTest.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/FullNameExternalAutocompleteTest/FullNameExternalAutocompleteTest.fsproj
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="utf-8"?>
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <IsPackable>false</IsPackable>
   </PropertyGroup>
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/GoToTests/GoToTests.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/GoToTests/GoToTests.fsproj
@@ -1,6 +1,6 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>netstandard2.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
   <ItemGroup>
     <Compile Include="Definition.fs" />
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/NUnitTests/NUnitTests.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/NUnitTests/NUnitTests.fsproj
@@ -1,7 +1,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
 
     <IsPackable>false</IsPackable>
     <GenerateProgramFile>false</GenerateProgramFile>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/CrossProject/LibA/LibA.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/CrossProject/LibA/LibA.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/CrossProject/LibB/LibB.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/CrossProject/LibB/LibB.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
     <GenerateDocumentationFile>true</GenerateDocumentationFile>
   </PropertyGroup>
 
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/SameProject/RenameTest.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/RenameTest/SameProject/RenameTest.fsproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/ServerTests/Project/Project.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/ServerTests/Project/Project.fsproj
@@ -2,7 +2,7 @@
 
   <PropertyGroup>
     <OutputType>Exe</OutputType>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/UnusedDeclarations/UnusedDeclarations.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/UnusedDeclarations/UnusedDeclarations.fsproj
@@ -1,7 +1,7 @@
 ﻿<Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
 
   <ItemGroup>
--- a/test/FsAutoComplete.Tests.Lsp/TestCases/XUnitTests/XUnitTests.fsproj
+++ b/test/FsAutoComplete.Tests.Lsp/TestCases/XUnitTests/XUnitTests.fsproj
@@ -1,7 +1,7 @@
 <Project Sdk="Microsoft.NET.Sdk">
 
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
 
     <IsPackable>false</IsPackable>
     <GenerateProgramFile>false</GenerateProgramFile>
--- a/test/OptionAnalyzer/OptionAnalyzer.fsproj
+++ b/test/OptionAnalyzer/OptionAnalyzer.fsproj
@@ -1,6 +1,6 @@
 <Project Sdk="Microsoft.NET.Sdk">
   <PropertyGroup>
-    <TargetFramework>net6.0</TargetFramework>
+    <TargetFramework>net8.0</TargetFramework>
   </PropertyGroup>
   <ItemGroup>
     <ProjectReference Include="../../src/FsAutoComplete.Logging/FsAutoComplete.Logging.fsproj">
